API ReferenceCWT
Update CWT credential revocation status
Roles
adminissuermanaged-issuer
Analytics Events
CREDENTIAL_COMPACT_REVOCATION_SET_STATUS_STARTCREDENTIAL_COMPACT_REVOCATION_SET_STATUS_SUCCESSCREDENTIAL_COMPACT_REVOCATION_SET_STATUS_FAIL
POST
/v2/credentials/compact/{id}/revocation-statusUpdates the credential status as revoked (invalid) or unrevoked (valid).
Analytic events
- CREDENTIAL_COMPACT_REVOCATION_SET_STATUS_START
- CREDENTIAL_COMPACT_REVOCATION_SET_STATUS_SUCCESS
- CREDENTIAL_COMPACT_REVOCATION_SET_STATUS_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Unique credential identifier.
Request Body
application/json
Update revocation status
isRevoked*boolean
When set to true the credential will be revoked. When set to false, the credential will be unrevoked.
Response Body
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v2/credentials/compact/string/revocation-status" \ -H "Content-Type: application/json" \ -d '{ "isRevoked": true }'{
"id": "string",
"isRevoked": true
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Delete mDoc metadata DELETE
Deletes all stored data for an existing mDoc that matches the provided ID. Removed credential data cannot be recovered. ### **Analytic events** * USER_CREDENTIAL_DELETE_START * USER_CREDENTIAL_DELETE_SUCCESS * USER_CREDENTIAL_DELETE_FAIL
Retrieve CWT credential revocation status GET
Retrieve the revocation status of a CWT credential by providing its ID.